@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@400;600&&display=swap');

:root {
  --color-font-dark: #212529;
  --color-font-light: #868e96;
  --bg-light: #f1f3f5;
  --color-link: #0366d6;
  --border-radius: 0.3rem;
}

body {
  font-family: 'Roboto Mono', monospace;
  font-size: 16px;
  max-width: 800px;
  margin: 0 auto;
  color: var(--color-font-dark);
  padding: 0 1rem;
}

img {
  max-width: 100%;
}

.center {
  text-align: center;
}

header {
  display: flex;
  align-items: center;
  width: 246px;
  margin: 40px auto;
}

header.slim {
  margin: 20px auto;
}

header h1, header h2 {
  font-size: 2.75rem;
  line-height: 2.75rem;
  letter-spacing: 4px;
  margin: 0;
}

header a {
  color: var(--color-font-dark);
  text-decoration: none;
}

header span {
  display: block;
  text-align: center;
  color: var(--color-font-light);
}

header .socials img {
  width: 32px;
  margin-left: 4px;
}

footer {
  text-align: center;
  margin: 2rem 0 1rem 0;
}

h1 {
  font-weight: 400;
  font-size: 1.5rem;
}

h2 {
  font-weight: 400;
  font-size: 1.5rem;
}

h3 {
  font-weight: 400;
  font-size: 1.25rem;
}

main h1, main h2, main h3 {
  display: flex;
  align-items: center;
}

main h1::before, main h2::before, main h3::before {
  display: inline-block;
  content: "";
  background: var(--color-font-dark);
  margin-right: 1rem;
  width: 3px;
  min-width: 3px;
  margin-top: -1px;
}

main h1::before {
  height: 1.2rem;
}

main h2::before {
  height: 0.9rem;
}

main h3::before {
  height: 0.75rem;
}

main a, main a:visited, main a:hover, main a:active{
  -webkit-backface-visibility:hidden;
          backface-visibility:hidden;
	position:relative;
  transition:0.5s color ease;
	text-decoration:none;
	color: var(--color-link);
}

main a:hover{
	color: var(--color-link);
}

main a:after{
  content: "";
  transition:0.5s all ease;
  -webkit-backface-visibility:hidden;
          backface-visibility:hidden;
  position:absolute;
}

main a:after{
  bottom:-0.25em;
}

main a:after{
  height:2px;
  height:0.2rem;
  width:0;
  background: var(--color-link);
}

main a:after{
  left:0;
}

main a:hover:before, main a:hover:after{
  width:100%;
}

li {
  line-height: 1.6rem;
}

.posts .post {
  display: block;
  padding: 0.5rem 0;
  color: var(--color-font-dark);
  text-decoration: none;
}

.posts .post:hover {
  background: var(--bg-light);
  text-decoration: none;
}

.posts .post .post-date {
  color: var(--color-font-light);
}

@media screen and (min-width: 600px) {
  .posts .post {
    display: flex;
    flex-direction: row;
    padding: 0.875rem;
    align-items: center;
    border-radius: var(--border-radius);
  }

  .posts .post .post-date {
    width: 150px
  }

  .posts .post .post-title {
    flex: 1;
  }

  .posts .post .post-icon {
    width: 4px;
    height: 13px;
    margin-right: 1rem;
    background: var(--color-font-dark);
    margin-top: -1px;
  }
}

#post h1 {
  margin-bottom: 0;
}

#post p {
  word-wrap: break-word;
  line-height: 1.4rem;
}

#post .post-date {
  display: block;
  color: var(--color-font-light);
  margin-bottom: 20px;
}

#post p.note {
  background: #ffd24d;
  padding: 1rem;
  border-radius: var(--border-radius);
  box-shadow: 0 8px 16px rgba(0,0,0,.2);
}

#post p.note::before {
  content: "⚠  ";
}

code {
  border-radius: var(--border-radius);
}

p > code.hljs, li > code.hljs{
  display: inline;
  padding: 1px 5px;
}

pre code {
  padding: 1rem !important;
  box-shadow: 0 8px 16px rgba(0,0,0,0.5);
}

blockquote {
  margin: 0;
}

blockquote p {
  padding: 15px;
  background: #dedede;
  border-radius: 5px;
}

blockquote p::before {
  position: relative;
  top: 18px;
  content: '\201C';
  font-size: 60px;
  vertical-align: -0.2em;
  margin-right: 6px;
  color: #b0b0b0;
}
